Skip to main content
POST
/
api
/
projects
Create Project
curl --request POST \
  --url https://api.example.com/api/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "settings": {},
  "dataset_ids": []
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "settings": {},
  "dataset_ids": [],
  "owner_id": 123,
  "permissions": {
    "view": {
      "users": [
        123
      ],
      "roles": [
        "<string>"
      ]
    },
    "edit": {
      "users": [
        123
      ],
      "roles": [
        "<string>"
      ]
    }
  },
  "can_edit": false,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
name
string
required
description
string | null
settings
Settings · object
dataset_ids
string[]

Response

Successful Response

id
string
required
name
string
required
description
string | null
settings
Settings · object
dataset_ids
string[]
owner_id
integer | null
permissions
PermissionsPayload · object
can_edit
boolean
default:false
created_at
string<date-time> | null
updated_at
string<date-time> | null